/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.databinding.jaxb.tools;

import org.xml.sax.SAXParseException;

import com.sun.tools.xjc.XJCListener;

/**
 * 
 * @author Mohammed EL JAI
 *
 */

public class PEtALSXjcListener extends XJCListener {
	
        public void error(SAXParseException arg0) {
           arg0.printStackTrace();
        }

        public void fatalError(SAXParseException arg0) {
           arg0.printStackTrace();
        }

        public void warning(SAXParseException arg0) {
        	arg0.printStackTrace();
        }

        public void info(SAXParseException arg0) {
        	arg0.printStackTrace();
        }

       public void message(String arg0) {
       	   System.err.println(arg0);
        }

        public void generatedFile(String arg0) {
        	System.err.println(arg0);
        }

}
